update providers: package-alarms 2.2.0 and package-kafka 2.1.0 (#629)

* update providers: package-alarms 2.2.0 and package-kafka 2.1.0

* update for changes alarm provider installCatalog.sh

openwhisk-package-alarm PR#155 changed the order of parameters
to installCatalog.sh; update myTask.sh accordingly.
diff --git a/helm/openwhisk/Chart.yaml b/helm/openwhisk/Chart.yaml
index bfaaf03..4a1ac16 100644
--- a/helm/openwhisk/Chart.yaml
+++ b/helm/openwhisk/Chart.yaml
@@ -18,7 +18,7 @@
 apiVersion: v2
 type: application
 name: openwhisk
-version: 0.2.4
+version: 0.2.5
 home: https://openwhisk.apache.org
 description: Apache OpenWhisk is an open source serverless cloud platform
 icon: https://raw.githubusercontent.com/apache/openwhisk/682eb5b62ee6ba8017ab54226c2ace3637f4f1ec/docs/images/whisk_icon_full-color_with_tm_64x64-300dpi.png
diff --git a/helm/openwhisk/configMapFiles/installPackages/myTask.sh b/helm/openwhisk/configMapFiles/installPackages/myTask.sh
index 23947d0..7263f6e 100644
--- a/helm/openwhisk/configMapFiles/installPackages/myTask.sh
+++ b/helm/openwhisk/configMapFiles/installPackages/myTask.sh
@@ -101,7 +101,7 @@
 
     pushd /openwhisk-package-alarms
         git checkout $OW_GIT_TAG_OPENWHISK_PACKAGE_ALARMS
-        ./installCatalog.sh $WHISK_AUTH $WHISK_API_HOST_URL $PROVIDER_DB_URL $ALARM_DB_PREFIX $WHISK_API_HOST_URL || exit 1
+        ./installCatalog.sh $WHISK_AUTH $WHISK_API_HOST_URL $WHISK_API_HOST_URL worker0 $PROVIDER_DB_URL $ALARM_DB_PREFIX || exit 1
     popd
 fi
 
diff --git a/helm/openwhisk/values.yaml b/helm/openwhisk/values.yaml
index a28ece2..e60dd66 100644
--- a/helm/openwhisk/values.yaml
+++ b/helm/openwhisk/values.yaml
@@ -137,11 +137,11 @@
     openwhiskCatalog:
       gitTag: "0.11.0"
     openwhiskPackageAlarms:
-      gitTag: "2.0.0-incubating"
+      gitTag: "2.2.0"
     openwhiskPackageCloudant:
       gitTag: "2.0.0-incubating"
     openwhiskPackageKafka:
-      gitTag: "2.0.0-incubating"
+      gitTag: "2.1.0"
 
 k8s:
   domain: cluster.local
@@ -379,7 +379,7 @@
   alarm:
     enabled: true
     imageName: "openwhisk/alarmprovider"
-    imageTag: "2.1.0"
+    imageTag: "2.2.0"
     imagePullPolicy: "IfNotPresent"
     # NOTE: replicaCount > 1 doesn't work because of the PVC
     replicaCount: 1
@@ -405,7 +405,7 @@
   kafka:
     enabled: true
     imageName: "openwhisk/kafkaprovider"
-    imageTag: "2.0.0-incubating"
+    imageTag: "2.1.0"
     imagePullPolicy: "IfNotPresent"
     # NOTE: setting replicaCount > 1 has not been tested and may not work
     replicaCount: 1